Index: code/branches/ai2/data/levels/includes/weaponSettingsSpacecruiser.oxi
===================================================================
--- code/branches/ai2/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 8851)
+++ code/branches/ai2/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 8851)
@@ -0,0 +1,90 @@
+    <weaponslots>
+      <WeaponSlot position="-20,-15,-108" />
+      <WeaponSlot position=" 20,-15,-108" />
+      <WeaponSlot position="  0, -7,-110" />
+      <WeaponSlot position="-14,-31,-184" />
+      <WeaponSlot position=" 14,-31,-184" />
+      <WeaponSlot position="-34,-30,-169" />
+      <WeaponSlot position=" 34,-30,-169" />
+
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/branches/ai2/data/levels/missionOne.oxw
===================================================================
--- code/branches/ai2/data/levels/missionOne.oxw	(revision 8847)
+++ code/branches/ai2/data/levels/missionOne.oxw	(revision 8851)
@@ -11,4 +11,5 @@
   include("templates/spaceshipAssff.oxt")
   include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipSpacecruiser.oxt")
 ?>
 
@@ -46,9 +47,9 @@
 
     <WorldAmbientSound
-      ambientSource="AlphaCentauri.ogg"
+      ambientSource="Jupiter.ogg"
       looping="true"
       playOnLoad="true"
     />
-
+<!-- AlphaCentauri.ogg-->
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
@@ -360,6 +361,6 @@
       <attached>
         <!-- Docking -->
-        <!--DistanceTriggerBeacon name="bcnDestroyer" />
-        <DockingTarget name="destroyer" /-->
+        <DistanceTriggerBeacon name="bcnDestroyer" />
+        <DockingTarget name="destroyer" />
 
         <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
@@ -401,19 +402,48 @@
     </SpaceShip>
 
+    <Billboard position="-48600,0,0" material="Examples/Flare" colour="0.6,0,0" scale=3/>
+    <Dock position="-48600,0,0" roll=90 yaw=180 >
+        <animations>
+            <MoveToDockingTarget target="destroyer" />
+        </animations>
+        <effects>
+            <DockToShip target="spaceShip" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dockMe" />
+            </execute>
+        </events>
+        <attached>
+            <DistanceTrigger position="10,-202, -42" distance="800" target="Pawn"
+                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
+            />
+        </attached>
+    </Dock>
+
+    <SpaceShip template="spaceshipspacecruiser" position="-48600,800,0" orientation="-0.14, 0.68, 0.68, 0.223" health="300" maxhealth="400" initialhealth="300">
+      <attached>
+        <DockingTarget name="spaceShip" />
+      </attached>
+    </SpaceShip>
+
+
+
+
 
 
 <!-- Pickup - find better place !! -->
-    <DistanceTrigger name="pickupShield" position="-49300,100,0" target="Pawn" distance=20 stayActive="true" delay=0 />
-    <SimpleNotification message="This pickup enhances your shield.">
-        <events>
-            <trigger>
-                <EventListener event=pickupShield />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <PickupSpawner position="-49300,100,0" triggerDistance="20" respawnTime="30" maxSpawnedItems="1">
+    <DistanceTrigger name="pickup" position="-49300,-100,-50" target="Pawn" distance=20 stayActive="true" delay=0 />
+    <SimpleNotification message="This pickup makes you temporarly small.">
+        <events>
+            <trigger>
+                <EventListener event=pickup />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <PickupSpawner position="-49300,-100,-50" triggerDistance="20" respawnTime="30" maxSpawnedItems="1">
       <pickup>
-        <ShieldPickup template=hugeshieldpickup />
+        <ShieldPickup template=hugeshrinkpickup />
       </pickup>
     </PickupSpawner>
@@ -442,5 +472,5 @@
       </attached-->  <!-- Forcefield kills HYDROGEN FARMER-->
       <collisionShapes>
-        <SphereCollisionShape radius="2350" position="0,0,0" /> <!-- Nasty: Collisionradius =! planet scale -->
+        <SphereCollisionShape radius="2400" position="0,0,0" /> <!-- Nasty: Collisionradius =! planet scale -->
       </collisionShapes>
     </Planet>
@@ -448,30 +478,4 @@
 
 <!--------------------------------------DUMP YARD --------------------------------------->
-<!-- TODO: Docking causes game to crash !! what went wrong ?? -->
-    <!-- Dock position="-48600,1288,-255" roll=90 yaw=180 >
-        <animations>
-            <MoveToDockingTarget target="destroyer" />
-        </animations>
-        <effects>
-            <DockToShip target="spaceShip" />
-        </effects>
-        <events>
-            <execute>
-                <EventListener event="dockMe" />
-            </execute>
-        </events>
-        <attached>
-            <DistanceTrigger position="10,-202, -42" distance="800" target="Pawn"
-                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
-            />
-            <Billboard position="0,0,0" material="Examples/Flare" colour="0.5,0,0" scale=3/>
-        </attached>
-    </Dock>
-
-    <SpaceShip template="spaceshipassff" position="-48600,5000,67" orientation="-0.14045, 0.68254, 0.68144, 0.223774" >
-      <attached>
-        <DockingTarget name="spaceShip" />
-      </attached>
-    </SpaceShip-->
 
 
@@ -519,5 +523,4 @@
 
 
-
 <!-- Idea: Pawndeath should trigger several , delayed events. -->
     <!--EventTrigger name="PawnDied4" >
Index: code/branches/ai2/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/ai2/data/levels/presentationFS11.oxw	(revision 8847)
+++ code/branches/ai2/data/levels/presentationFS11.oxw	(revision 8851)
@@ -54,5 +54,19 @@
 
     <!-- SOUND -->
-    <WorldAmbientSound source="Jupiter.ogg" looping="true" playOnLoad="true"/>
+    <WorldAmbientSound source="Earth.ogg" looping="true" playOnLoad="true" />
+    <WorldAmbientSound source="Mars.ogg" looping="true">
+        <events>
+            <activity>
+                <DistanceTrigger position="-72369,803,2" distance=1700 target="Camera" />
+            </activity>
+        </events>
+    </WorldAmbientSound>
+    <WorldAmbientSound source="Jupiter.ogg" looping="true">
+        <events>
+            <activity>
+                <DistanceTrigger position="-73450,5067,-351" distance=800 target="Camera" />
+            </activity>
+        </events>
+    </WorldAmbientSound>
 
     <!-- EARTH ORBIT -->
Index: code/branches/ai2/data/levels/templates/spaceshipSpacecruiser.oxt
===================================================================
--- code/branches/ai2/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 8851)
+++ code/branches/ai2/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 8851)
@@ -0,0 +1,136 @@
+<Template name=spaceshipspacecruiser>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipcruisercameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 2
+   explosionchunks        = 12
+
+   health            = 300
+   maxhealth         = 400
+   initialhealth     = 300
+
+   shieldhealth        = 60
+   initialshieldhealth = 60
+   maxshieldhealth     = 80
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 90
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 16
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 12
+   shakeAmplitude = 7
+
+   collisionType     = "dynamic"
+   mass              = 300
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, -20, 6" template=spaceshipcruiserengine />
+      <MultiStateEngine position="-7.6, -20, 0" template=spaceshipcruiserengine />
+      <MultiStateEngine position=" 7.6, 20, 6" template=spaceshipcruiserengine />
+      <MultiStateEngine position="-7.6, 20, 0" template=spaceshipcruiserengine />
+    </engines>
+    <attached>
+      <Model position="12,-30,-120" yaw=90 pitch=-90 roll=0 scale=6 mesh="spacecruiser.mesh" />
+      <!--Model mesh="cube.mesh" mass=10 position="0,-30,-108" scale3D="38,6,62" />
+      <Model mesh="cube.mesh" mass=10 position="0,-20,-108" scale3D="20,6,40" />
+      <Model mesh="cube.mesh" mass=10 position="-16,-35,-112" scale3D="15,5,57" roll=-14 pitch=3.5/>
+      <Model mesh="cube.mesh" mass=10 position="16,-35,-112" scale3D="15,5,57" roll=14 pitch=3.5/>
+      <Model mesh="cube.mesh" mass=10 position="19,-21.5,-108" scale3D="18,5,52" roll=-21 />
+      <Model mesh="cube.mesh" mass=10 position="-19,-21.5,-108" scale3D="18,5,52" roll=21 />
+      <Model mesh="cube.mesh" mass=10 position="0,-21,-169" scale3D="18,1,16" pitch=-30 /-->
+
+
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,-30,-108"   halfExtents="38,6,62" />
+      <BoxCollisionShape position="0,-20,-108"   halfExtents="20,6,40" />
+      <BoxCollisionShape position="-16,-35,-112"  halfExtents="15,5,57" roll=-14 pitch=3.5/>
+      <BoxCollisionShape position="16,-35,-112"   halfExtents="15,5,57" roll=14 pitch=3.5/>
+      <BoxCollisionShape position="19,-21.5,-108" halfExtents="18,5,52" roll=-21 />
+      <BoxCollisionShape position="-19,-21.5,-108"halfExtents="18,5,52" roll=21 />
+      <BoxCollisionShape position="0,-21,-169"halfExtents="18,1,16" pitch=-30x />
+
+    </collisionShapes>
+<?lua
+  include("includes/weaponSettingsSpacecruiser.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipcruisercameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10,  40" drag=true mouselook=true />
+      <CameraPosition position="0,20,  80" drag=true mouselook=true />
+      <CameraPosition position="0,30, 120" drag=true mouselook=true />
+      <CameraPosition position="0,20,-260" drag=true mouselook=true yaw=180/>
+      <CameraPosition position="0,30,-350" drag=true mouselook=true yaw=180/>
+      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
+      <CameraPosition position="0,0,-40" yaw=180 drag=true />
+      <CameraPosition position="0,3,-14" yaw=0 />
+      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
+      <CameraPosition position="50,5,-8" yaw=90 drag=true /-->
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipcruiserengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="20, -25, -40" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-20, -25, -40" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 20, -25, -40" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1300 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-20, -25, -40" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1300 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 20, -25, -40" colour="0.6, 0.75, 0.8, 0.7" width=40 length=800 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-20, -25, -40" colour="0.6, 0.75, 0.8, 0.7" width=40 length=800 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 20, -25, -40" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-20, -25, -40" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="20, -25, -40" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-20, -25, -40" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>
+