Index: code/branches/output/data/levels/presentationDM.oxw
===================================================================
--- code/branches/output/data/levels/presentationDM.oxw	(revision 8853)
+++ code/branches/output/data/levels/presentationDM.oxw	(revision 8854)
@@ -47,11 +47,12 @@
       for i = 1, 100, 1 do
         j = math.random()
+        scale = j * 50 + 5
     ?>
-      <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass="<?lua print(j * 50) ?>" scale="<?lua print(j * 5) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+      <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
         <attached>
-          <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+          <Model scale="<?lua print(scale) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
         </attached>
         <collisionShapes>
-          <SphereCollisionShape radius="<?lua print(j * 70) ?>" />
+          <SphereCollisionShape radius="<?lua print(scale * 2.5) ?>" />
         </collisionShapes>
       </MovableEntity>
Index: code/branches/output/src/libraries/core/Language.cc
===================================================================
--- code/branches/output/src/libraries/core/Language.cc	(revision 8853)
+++ code/branches/output/src/libraries/core/Language.cc	(revision 8854)
@@ -304,5 +304,5 @@
     void Language::writeDefaultLanguageFile() const
     {
-        orxout(internal_info, context::language) << "Write default language file." << endl;
+        orxout(verbose, context::language) << "Write default language file." << endl;
 
         const std::string& filepath = PathConfig::getConfigPathString() + getFilename(this->defaultLanguage_);
Index: code/branches/output/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/output/src/libraries/core/input/InputManager.cc	(revision 8853)
+++ code/branches/output/src/libraries/core/input/InputManager.cc	(revision 8854)
@@ -143,5 +143,5 @@
     void InputManager::loadDevices()
     {
-        orxout(internal_info, context::input) << "InputManager: Loading input devices..." << endl;
+        orxout(verbose, context::input) << "InputManager: Loading input devices..." << endl;
 
         // When loading the devices they should not already be loaded
@@ -196,5 +196,5 @@
             // Exception-safety
             Loki::ScopeGuard guard = Loki::MakeGuard(OIS::InputManager::destroyInputSystem, oisInputManager_);
-            orxout(internal_info, context::input) << "Created OIS input manager." << endl;
+            orxout(verbose, context::input) << "Created OIS input manager." << endl;
 
             if (oisInputManager_->getNumberOfDevices(OIS::OISKeyboard) > 0)
@@ -219,5 +219,5 @@
         this->updateActiveStates();
 
-        orxout(internal_info, context::input) << "Input devices loaded." << endl;
+        orxout(verbose, context::input) << "Input devices loaded." << endl;
     }
 
@@ -306,5 +306,5 @@
     void InputManager::destroyDevices()
     {
-        orxout(internal_info, context::input) << "InputManager: Destroying devices..." << endl;
+        orxout(verbose, context::input) << "InputManager: Destroying devices..." << endl;
 
         BOOST_FOREACH(InputDevice*& device, devices_)
@@ -315,5 +315,5 @@
             delete device;
             device = 0;
-            orxout(internal_info, context::input) << className << " destroyed." << endl;
+            orxout(verbose, context::input) << className << " destroyed." << endl;
         }
         devices_.resize(InputDeviceEnumerator::FirstJoyStick);
@@ -332,5 +332,5 @@
 
         internalState_ |= Bad;
-        orxout(internal_info, context::input) << "Destroyed devices." << endl;
+        orxout(verbose, context::input) << "Destroyed devices." << endl;
     }
 
@@ -351,5 +351,5 @@
     void InputManager::reloadInternal()
     {
-        orxout(internal_info, context::input) << "InputManager: Reloading ..." << endl;
+        orxout(verbose, context::input) << "InputManager: Reloading ..." << endl;
 
         this->destroyDevices();
@@ -357,5 +357,5 @@
 
         internalState_ &= ~Bad;
-        orxout(internal_info, context::input) << "InputManager: Reloading complete." << endl;
+        orxout(verbose, context::input) << "InputManager: Reloading complete." << endl;
     }
 