Index: code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file EnergyDrink.h
+    @brief Implementation of the EnergyDrink class.
+*/
+
 #include "EnergyDrink.h"
 
@@ -32,12 +37,13 @@
 #include "core/XMLPort.h"
 #include "core/command/Executor.h"
+
 #include "graphics/Model.h"
-
-#include "weapons/projectiles/Projectile.h"
-#include "weapons/MuzzleFlash.h"
 #include "weaponsystem/Weapon.h"
 #include "weaponsystem/WeaponPack.h"
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/Projectile.h"
+#include "weapons/MuzzleFlash.h"
 
 namespace orxonox
@@ -49,8 +55,8 @@
         RegisterObject(EnergyDrink);
 
-        this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
-        this->speed_ = 2500;
-        this->delay_ = 0;
+        this->reloadTime_ = 0.25f;
+        this->damage_ = 0.0f;
+        this->speed_ = 2500.0f;
+        this->delay_ = 0.0f;
         this->setMunitionName("FusionMunition");
 
@@ -65,23 +71,22 @@
         XMLPortParam(EnergyDrink, "delay", setDelay, getDelay, xmlelement, mode);
         XMLPortParam(EnergyDrink, "material", setMaterial, getMaterial, xmlelement, mode);
-
     }
 
-    void EnergyDrink::setMaterial(const std::string& material)
+    /**
+    @brief
+        Sets the delay with which is fired.
+    @param delay
+        The delay in seconds.
+    */
+    void EnergyDrink::setDelay(float delay)
     {
-        this->material_ = material;
-    }
-
-    void EnergyDrink::setDelay(float d)
-    {
-        this->delay_ = d;
+        this->delay_ = delay;
         this->delayTimer_.setInterval(this->delay_);
     }
 
-    float EnergyDrink::getDelay() const
-    {
-        return this->delay_;
-    }
-
+    /**
+    @brief
+        Fires the weapon.
+    */
     void EnergyDrink::fire()
     {
@@ -89,16 +94,11 @@
     }
 
-    void EnergyDrink::muendungsfeuer()
-    {
-        MuzzleFlash *muzzleFlash = new MuzzleFlash(this);
-        this->getWeapon()->attach(muzzleFlash);
-        muzzleFlash->setPosition(this->getMuzzleOffset());
-        muzzleFlash->setMaterial(this->material_);
-    }
-
-    /* Creates the projectile object, sets its properties to the EnergyDrink properties, calls muendungsfeuer()
-     */
+    /**
+    @brief
+        Executes the shot, be creating the projectile and sending it on its way.
+    */
     void EnergyDrink::shot()
     {
+        // Create the projectile
         Projectile* projectile = new Projectile(this);
         Model* model = new Model(projectile);
@@ -112,10 +112,23 @@
         projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
 
-        projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
         projectile->setShieldDamage(this->getShieldDamage());
         projectile->setHealthDamage(this->getHealthDamage());
 
-        EnergyDrink::muendungsfeuer();
+        // Display a muzzle flash.
+        this->muzzleflash();
+    }
+
+    /**
+    @brief
+        Displays a muzzle flash.
+    */
+    void EnergyDrink::muzzleflash()
+    {
+        MuzzleFlash *muzzleFlash = new MuzzleFlash(this);
+        this->getWeapon()->attach(muzzleFlash);
+        muzzleFlash->setPosition(this->getMuzzleOffset());
+        muzzleFlash->setMaterial(this->material_);
     }
 }
Index: code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file EnergyDrink.h
+    @brief Definition of the EnergyDrink class.
+*/
+
 #ifndef _EnergyDrink_H__
 #define _EnergyDrink_H__
@@ -38,4 +43,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        Shoots a can.
+    @author
+        Hagen Seifert
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport EnergyDrink : public WeaponMode
     {
@@ -48,16 +61,32 @@
 
         private:
-            void setMaterial(const std::string& material);
-            inline const std::string& getMaterial()
+            /**
+            @brief Set the material of the EnergyDrink.
+            @param material The name of the material.
+            */
+            void setMaterial(const std::string& material)
+                { this->material_ = material; }
+            /**
+            @brief Get the material of the EnergyDrink.
+            @return Returns the material name.
+            */
+            inline const std::string& getMaterial() const
                 { return this->material_; }
-            void setDelay(float d);
-            float getDelay() const;
+
+            void setDelay(float delay);
+            /**
+            @brief Get the firing delay.
+            @return Returns the delay in seconds.
+            */
+            float getDelay() const
+                { return this->delay_; }
+
             void shot();
-            void muendungsfeuer();
+            void muzzleflash();
 
-            std::string material_;
-            float speed_;
-            float delay_;
-            Timer delayTimer_;
+            std::string material_; //!< The material.
+            float speed_; //!< The speed of the EnergyDrink.
+            float delay_; //!< The firing delay.
+            Timer delayTimer_; //!< The timer to delay the firing.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8855)
@@ -27,9 +27,13 @@
  */
 
+/**
+    @file FusionFire.h
+    @brief Implementation of the FusionFire class.
+*/
+
 #include "FusionFire.h"
 
+#include "core/CoreIncludes.h"
 #include "util/Math.h"
-#include "core/CoreIncludes.h"
-#include "weapons/projectiles/BillboardProjectile.h"
 
 #include "weaponsystem/Weapon.h"
@@ -37,4 +41,6 @@
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/BillboardProjectile.h"
 
 namespace orxonox
@@ -46,14 +52,16 @@
         RegisterObject(FusionFire);
 
-        this->reloadTime_ = 1.0;
+        this->reloadTime_ = 1.0f;
         this->bParallelReload_ = false;
-        this->damage_ = 0; //default 40
-        this->speed_ = 1250;
+        this->damage_ = 0.0f;
+        this->speed_ = 1250.0f;
 
         this->setMunitionName("FusionMunition");
     }
 
-    /* Creates the projectile (BillboardProjectile) object, sets its properties to the FusionFire properties
-     */
+    /**
+    @brief
+        Fires the weapon, by creating a projectile.
+    */
     void FusionFire::fire()
     {
@@ -65,5 +73,5 @@
         projectile->scale(5);
 
-        projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
         projectile->setShieldDamage(this->getShieldDamage());
Index: code/trunk/src/modules/weapons/weaponmodes/FusionFire.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/FusionFire.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/FusionFire.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file FusionFire.h
+    @brief Definition of the FusionFire class.
+*/
+
 #ifndef _FusionFire_H__
 #define _FusionFire_H__
@@ -35,4 +40,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        FusionFire.
+    @author
+        Martin Polak
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport FusionFire : public WeaponMode
     {
@@ -44,5 +57,5 @@
 
         private:
-            float speed_;
+            float speed_; //!< The speed of the fusion fire weapon.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file HsW01.h
+    @brief Implementation of the HsW01 class.
+*/
+
 #include "HsW01.h"
 
@@ -32,8 +37,6 @@
 #include "core/XMLPort.h"
 #include "core/command/Executor.h"
+
 #include "graphics/Model.h"
-
-#include "weapons/projectiles/Projectile.h"
-#include "weapons/MuzzleFlash.h"
 #include "weaponsystem/Weapon.h"
 #include "weaponsystem/WeaponPack.h"
@@ -41,4 +44,7 @@
 #include "worldentities/WorldEntity.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/Projectile.h"
+#include "weapons/MuzzleFlash.h"
 
 namespace orxonox
@@ -50,8 +56,8 @@
         RegisterObject(HsW01);
 
-        this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
-        this->speed_ = 2500;
-        this->delay_ = 0;
+        this->reloadTime_ = 0.25f;
+        this->damage_ = 0.0f; //default 15
+        this->speed_ = 2500.0f;
+        this->delay_ = 0.0f;
         this->setMunitionName("LaserMunition");
 
@@ -72,26 +78,16 @@
         XMLPortParam(HsW01, "delay", setDelay, getDelay, xmlelement, mode);
         XMLPortParam(HsW01, "material", setMaterial, getMaterial, xmlelement, mode);
-
     }
 
-    void HsW01::setMaterial(const std::string& material)
+    /**
+    @brief
+        Set the firing delay.
+    @param delay
+        The firing delay in seconds.
+    */
+    void HsW01::setDelay(float delay)
     {
-        this->material_ = material;
-    }
-
-    std::string& HsW01::getMaterial()
-    {
-        return this->material_;
-    }
-
-    void HsW01::setDelay(float d)
-    {
-        this->delay_ = d;
+        this->delay_ = delay;
         this->delayTimer_.setInterval(this->delay_);
-    }
-
-    float HsW01::getDelay() const
-    {
-        return this->delay_;
     }
 
@@ -101,17 +97,13 @@
     }
 
-    void HsW01::muendungsfeuer()
-    {
-        MuzzleFlash *muzzleFlash = new MuzzleFlash(this);
-        this->getWeapon()->attach(muzzleFlash);
-        muzzleFlash->setPosition(this->getMuzzleOffset());
-        muzzleFlash->setMaterial(this->material_);
-    }
-
-    /* Creates the projectile object, sets its properties to the HsW01 properties, calls muendungsfeuer()
-     */
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
     void HsW01::shot()
     {
         assert( this->getWeapon() && this->getWeapon()->getWeaponPack() && this->getWeapon()->getWeaponPack()->getWeaponSystem() && this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn() );
+
+        // Create the projectile.
         Projectile* projectile = new Projectile(this);
         Model* model = new Model(projectile);
@@ -126,10 +118,23 @@
         projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
 
-        projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
         projectile->setShieldDamage(this->getShieldDamage());
         projectile->setHealthDamage(this->getHealthDamage());
 
-        HsW01::muendungsfeuer();
+        // Display the muzzle flash.
+        this->HsW01::muzzleflash();
+    }
+
+    /**
+    @brief
+        Displays the muzzle flash.
+    */
+    void HsW01::muzzleflash()
+    {
+        MuzzleFlash *muzzleFlash = new MuzzleFlash(this);
+        this->getWeapon()->attach(muzzleFlash);
+        muzzleFlash->setPosition(this->getMuzzleOffset());
+        muzzleFlash->setMaterial(this->material_);
     }
 }
Index: code/trunk/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file HsW01.h
+    @brief Definition of the HsW01 class.
+*/
+
 #ifndef _HsW01_H__
 #define _HsW01_H__
@@ -37,4 +42,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        Shoots laser beams.
+    @author
+        Hagen Seifert
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport HsW01 : public WeaponMode
     {
@@ -47,15 +60,32 @@
 
         private:
-            void setMaterial(const std::string& material);
-            std::string& getMaterial();
-            void setDelay(float d);
-            float getDelay() const;
+            /**
+            @brief Set the material.
+            @param material The material name.
+            */
+            void setMaterial(const std::string& material)
+                { this->material_ = material; }
+            /**
+            @brief Get the material.
+            @return Returns the material name.
+            */
+            const std::string& getMaterial() const
+                { return this->material_; }
+
+            void setDelay(float delay);
+            /**
+            @brief Get the firing delay.
+            @return Returns the firing delay in seconds.
+            */
+            float getDelay() const
+                { return this->delay_; }
+
             void shot();
-            void muendungsfeuer();
+            void muzzleflash();
 
-            std::string material_;
-            float speed_;
-            float delay_;
-            Timer delayTimer_;
+            std::string material_; //!< The material.
+            float speed_; //!< The speed of the fired projectile.
+            float delay_; //!< The firing delay.
+            Timer delayTimer_; //!< A timer to delay the firing.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8855)
@@ -27,12 +27,19 @@
  */
 
+/**
+    @file LaserFire.h
+    @brief Implementation of the LaserFire class.
+*/
+
 #include "LaserFire.h"
 
 #include "core/CoreIncludes.h"
-#include "weapons/projectiles/ParticleProjectile.h"
+
 #include "weaponsystem/Weapon.h"
 #include "weaponsystem/WeaponPack.h"
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/ParticleProjectile.h"
 
 namespace orxonox
@@ -44,13 +51,15 @@
         RegisterObject(LaserFire);
 
-        this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
-        this->speed_ = 1250;
+        this->reloadTime_ = 0.25f;
+        this->damage_ = 0.0f;
+        this->speed_ = 1250.0f;
 
         this->setMunitionName("LaserMunition");
     }
 
-    /* Creates the projectile object, sets its properties to the LaserFire properties
-     */
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
     void LaserFire::fire()
     {
@@ -61,5 +70,5 @@
         projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
 
-        projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
         projectile->setShieldDamage(this->getShieldDamage());
Index: code/trunk/src/modules/weapons/weaponmodes/LaserFire.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/LaserFire.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/LaserFire.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file LaserFire.h
+    @brief Definition of the LaserFire class.
+*/
+
 #ifndef _LaserFire_H__
 #define _LaserFire_H__
@@ -35,4 +40,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        Shoots a particle laser.
+    @author
+        Martin Polak
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport LaserFire : public WeaponMode
     {
@@ -44,5 +57,5 @@
 
         private:
-            float speed_;
+            float speed_; //!< The speed of the fired projectile.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8855)
@@ -27,12 +27,18 @@
  */
 
+/**
+    @file LightningGun.h
+    @brief Implementation of the LightningGun class.
+*/
+
 #include "LightningGun.h"
 
 #include "core/CoreIncludes.h"
-#include "weapons/projectiles/LightningGunProjectile.h"
 #include "weaponsystem/Weapon.h"
 #include "weaponsystem/WeaponPack.h"
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/LightningGunProjectile.h"
 
 namespace orxonox
@@ -44,7 +50,7 @@
         RegisterObject(LightningGun);
 
-        this->reloadTime_ = 1;
-        this->damage_ = 0; //default 100
-        this->speed_ = 150;
+        this->reloadTime_ = 1.0f;
+        this->damage_ = 0.0f;
+        this->speed_ = 250.0f;
 
         this->setMunitionName("LaserMunition");
@@ -56,6 +62,8 @@
     }
 
-    /* Creates the projectile (LightningGunProjectile) object, sets its properties to the LightningGun properties
-     */
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
     void LightningGun::fire()
     {
@@ -67,7 +75,6 @@
         projectile->setPosition(this->getMuzzlePosition());
         projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
-        projectile->setAcceleration(this->getMuzzleDirection() * 1000);
 
-        projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
         projectile->setShieldDamage(this->getShieldDamage());
Index: code/trunk/src/modules/weapons/weaponmodes/LightningGun.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/LightningGun.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/LightningGun.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file LightningGun.h
+    @brief Definition of the LightningGun class.
+*/
+
 #ifndef _LightningGun_H__
 #define _LightningGun_H__
@@ -35,4 +40,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        A slow ball of lightning.
+    @author
+        Joel Smely
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport LightningGun : public WeaponMode
     {
@@ -44,5 +57,5 @@
 
        private:
-            float speed_;
+            float speed_; //!< The speed of the fired projectile.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8855)
@@ -27,9 +27,13 @@
  */
 
+/**
+    @file RocketFire.h
+    @brief Implementation of the RocketFire class.
+*/
+
 #include "RocketFire.h"
 
+#include "core/CoreIncludes.h"
 #include "util/Math.h"
-#include "core/CoreIncludes.h"
-#include "weapons/projectiles/Rocket.h"
 
 #include "weaponsystem/Weapon.h"
@@ -37,4 +41,6 @@
 #include "weaponsystem/WeaponSystem.h"
 #include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/Rocket.h"
 
 namespace orxonox
@@ -48,6 +54,6 @@
         this->reloadTime_ = 0.20f;
         this->bParallelReload_ = false;
-        this->damage_ = 0;
-        this->speed_ = 500;
+        this->damage_ = 0.0f;
+        this->speed_ = 500.0f;
 
         this->setMunitionName("RocketMunition");
@@ -59,6 +65,8 @@
     }
 
-    /* Creates the Rocket object, sets its properties to the RocketFire properties
-     */
+    /**
+    @brief
+        Fires the weapon. Creates the Rocket and fires it.
+    */
     void RocketFire::fire()
     {
@@ -71,5 +79,5 @@
         rocket->scale(2);
 
-        rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         rocket->setDamage(this->getDamage());
         rocket->setShieldDamage(this->getShieldDamage());
Index: code/trunk/src/modules/weapons/weaponmodes/RocketFire.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/RocketFire.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/RocketFire.h	(revision 8855)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file RocketFire.h
+    @brief Definition of the RocketFire class.
+*/
+
 #ifndef _RocketFire_H__
 #define _RocketFire_H__
@@ -35,4 +40,12 @@
 namespace orxonox
 {
+
+    /**
+    @brief
+        Fires the (steerable) Rocket.
+    @author
+        Oliver Scheuss
+    @ingroup WeaponsWeaponModes
+    */
     class _WeaponsExport RocketFire : public WeaponMode
     {
@@ -44,5 +57,5 @@
 
         private:
-            float speed_;
+            float speed_; //!< The speed of the Rocket.
     };
 }
Index: code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8855)
@@ -21,15 +21,20 @@
  *
  *   Author:
+ *      Gabriel Nadler
+ *   Co-authors:
  *      Oliver Scheuss
- *   Co-authors:
  *      simonmie
  *
  */
 
+/**
+    @file BasicProjectile.h
+    @brief Implementation of the BasicProjectile class.
+*/
+
 #include "SimpleRocketFire.h"
 
+#include "core/CoreIncludes.h"
 #include "util/Math.h"
-#include "core/CoreIncludes.h"
-#include "weapons/RocketController.h"
 
 #include "weaponsystem/Weapon.h"
@@ -38,4 +43,7 @@
 #include "worldentities/pawns/Pawn.h"
 #include "sound/WorldSound.h"
+
+#include "weapons/RocketController.h"
+#include "weapons/projectiles/SimpleRocket.h"
 
 namespace orxonox
@@ -48,8 +56,8 @@
         RegisterObject(SimpleRocketFire);
 
-        this->reloadTime_ = 1;
+        this->reloadTime_ = 1.0f;
         this->bParallelReload_ = false;
-        this->damage_ = 0;
-        this->speed_ = 500;
+        this->damage_ = 0.0f;
+        this->speed_ = 500.0f;
 
         this->setMunitionName("RocketMunition");
@@ -62,15 +70,17 @@
     }
 
-    /* Creates the Rocket (RocketController) object, sets its properties to the SimpleRocketFire properties, sets target
-     */
+    /**
+    @brief
+        Fires the weapon. Creates the SimpleRocket and a RocketController to steer it and fires it.
+    */
     void SimpleRocketFire::fire()
     {
-        RocketController* con = new RocketController(this);
-        SimpleRocket* rocket = con->getRocket();
+        RocketController* controller = new RocketController(this);
+        SimpleRocket* rocket = controller->getRocket();
         this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
         rocket->setOrientation(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getWorldOrientation());
         rocket->setPosition(this->getMuzzlePosition());
         rocket->setVelocity(this->getMuzzleDirection()*this->speed_);
-        rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
 
         rocket->setDamage(this->damage_);
@@ -78,6 +88,6 @@
         rocket->setHealthDamage(this->getHealthDamage());
 
-        WorldEntity* pawnn=static_cast<ControllableEntity*>(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn())->getTarget();
-        if (pawnn) con->setTarget(pawnn);
+        WorldEntity* pawn = static_cast<ControllableEntity*>(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn())->getTarget();
+        if (pawn) controller->setTarget(pawn);
     }
 }
Index: code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.h
===================================================================
--- code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 8706)
+++ code/trunk/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 8855)
@@ -21,9 +21,14 @@
  *
  *   Author:
+ *      Gabriel Nadler
+ *   Co-authors:
  *      Oliver Scheuss
- *   Co-authors:
- *      ...
  *
  */
+
+/**
+    @file SimpleRocketFire.h
+    @brief Definition of the SimpleRocketFire class.
+*/
 
 #ifndef _SimpleRocketFire_H__
@@ -39,5 +44,6 @@
         FireMode for target-seeking Rocket
     @author
-        Gabriel Nadler (Original file: Oli Scheuss)
+        Gabriel Nadler
+    @ingroup WeaponsWeaponModes
     */
     class _WeaponsExport SimpleRocketFire : public WeaponMode
@@ -50,5 +56,5 @@
 
         private:
-            float speed_;
+            float speed_; //!< The speed of the SimpleRocket.
 
     };