Index: /code/trunk/data/levels/includes/weaponSettingsGhost.oxi
===================================================================
--- /code/trunk/data/levels/includes/weaponSettingsGhost.oxi	(revision 8856)
+++ /code/trunk/data/levels/includes/weaponSettingsGhost.oxi	(revision 8857)
@@ -2,8 +2,12 @@
       <WeaponSlot position=" 1.3,4.66,-20" />
       <WeaponSlot position="-1.3,4.66,-20" />
+      <WeaponSlot position="13.7,4.66,-20" />
+      <WeaponSlot position="-16.3,4.66,-20" />
     </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
       <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=2 />
     </weaponsets>
     <weapons>
@@ -12,14 +16,21 @@
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 healthdamage=3.14159 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 healthdamage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 damage=3.14159 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 delay=0.1 />
         </Weapon>
       </WeaponPack>
Index: /code/trunk/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipAssff.oxt	(revision 8856)
+++ /code/trunk/data/levels/templates/spaceshipAssff.oxt	(revision 8857)
@@ -67,5 +67,4 @@
       <CameraPosition position="0,20, 80" drag=true mouselook=true />
       <CameraPosition position="0,30,120" drag=true mouselook=true />
-      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
       <CameraPosition position="0,0,-40" yaw=180 drag=true />
       <CameraPosition position="0,3,-14" yaw=0 />
@@ -121,40 +120,2 @@
   </MultiStateEngine>
 </Template>
-
-<!--Template name=spaceshippirate>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
-    </attached>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipspacecruiser>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
-    </attached>
-  </SpaceShip>
-</Template-->
Index: /code/trunk/data/levels/templates/spaceshipAssff2.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipAssff2.oxt	(revision 8856)
+++ /code/trunk/data/levels/templates/spaceshipAssff2.oxt	(revision 8857)
@@ -67,5 +67,4 @@
       <CameraPosition position="0,20, 80" drag=true mouselook=true />
       <CameraPosition position="0,30,120" drag=true mouselook=true />
-      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
       <CameraPosition position="0,0,-40" yaw=180 drag=true />
       <CameraPosition position="0,3,-14" yaw=0 />
@@ -121,40 +120,2 @@
   </MultiStateEngine>
 </Template>
-
-<!--Template name=spaceshippirate>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
-    </attached>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipspacecruiser>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
-    </attached>
-  </SpaceShip>
-</Template-->
Index: /code/trunk/data/levels/templates/spaceshipGhost.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipGhost.oxt	(revision 8856)
+++ /code/trunk/data/levels/templates/spaceshipGhost.oxt	(revision 8857)
@@ -3,16 +3,33 @@
    hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshipghostcameras
-
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
    explosionchunks        = 6
 
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
+   health            = 30
+   maxhealth         = 50
+   initialhealth     = 30
 
-   primaryThrust     = 600;
-   auxilaryThrust    = 30;
-   rotationThrust    = 25;
+   shieldhealth        = 100
+   initialshieldhealth = 100
+   maxshieldhealth     = 150
+   shieldabsorption    = 0.9
+   reloadrate          = 3
+   reloadwaittime      = 0.0
+
+   primaryThrust     = 600
+   auxilaryThrust    = 30
+   rotationThrust    = 25
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 30
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 15
+
+   shakeFrequency = 20
+   shakeAmplitude = 6
 
    collisionType     = "dynamic"
@@ -60,5 +77,5 @@
    speedupdown    =  50
 
-   accelerationfront     = 700
+   accelerationfront     = 1000
    accelerationbrake     = 300
    accelerationback      =  100
Index: de/trunk/data/levels/templates/spaceshipImmTest.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipImmTest.oxt	(revision 8856)
+++ 	(revision )
@@ -1,106 +1,0 @@
-<Template name=spaceshipimmtest>
-  <SpaceShip
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipassffcameras
-   engine                 = spaceshipassffengine
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   primaryThrust     = 100;
-   auxilaryThrust    = 30;
-   rotationThrust    = 25;
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-   
-   shakeFrequency    = 15
-  >
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
-      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>
-<?lua
-  include("includes/weaponSettingsImmTest.oxi")
-?>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipassffcameras defaults=0>
-  <SpaceShip>
-    <camerapositions>
-      <CameraPosition position="0,10, 40" drag=true mouselook=true />
-      <CameraPosition position="0,20, 80" drag=true mouselook=true />
-      <CameraPosition position="0,30,120" drag=true mouselook=true />
-      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
-      <CameraPosition position="0,0,-40" yaw=180 drag=true />
-      <CameraPosition position="0,3,-14" yaw=0 />
-      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
-      <CameraPosition position="50,5,-8" yaw=90 drag=true /-->
-    </camerapositions>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipassffengine baseclass=MultiStateEngine>
-  <MultiStateEngine
-   boostfactor    = 2
-
-   speedfront     = 150
-   speedback      =  50
-   speedleftright =  50
-   speedupdown    =  50
-
-   defEngineSndNormal = "sounds/Engine_low.ogg"
-   defEngineSndBoost = "sounds/Engine_high.ogg"
-
-   accelerationfront     = 500
-   accelerationbrake     = 500
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
-  >
-    <EffectContainer condition="idle">
-      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
-    </EffectContainer>
-    <EffectContainer condition="not idle">
-      <FadingBillboard mainstate=activity active=false scale=0.1 position="0, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-<!--
-      <Light mainstate=visibility position=" 8, 0, 8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
-      <Light mainstate=visibility position="-8, 0, 8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
--->
-    </EffectContainer>
-    <EffectContainer condition="normal or brake">
-
-    </EffectContainer>
-    <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-    </EffectContainer>
-    <EffectContainer condition="boost">
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-    </EffectContainer>
-    <EffectContainer condition="brake">
-      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
-    </EffectContainer>
-  </MultiStateEngine>
-</Template>
-
Index: /code/trunk/data/levels/templates/spaceshipPirate.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipPirate.oxt	(revision 8856)
+++ /code/trunk/data/levels/templates/spaceshipPirate.oxt	(revision 8857)
@@ -11,7 +11,22 @@
    initialhealth     = 100
 
-   primaryThrust     = 100;
-   auxilaryThrust    = 30;
-   rotationThrust    = 25;
+   shieldhealth        = 25
+   initialshieldhealth = 25
+   maxshieldhealth     = 40
+   shieldabsorption    = 0.6
+   reloadrate          = 2
+   reloadwaittime      = 0.5
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 25
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 10
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
 
    collisionType     = "dynamic"
Index: /code/trunk/data/levels/templates/spaceshipSwallow.oxt
===================================================================
--- /code/trunk/data/levels/templates/spaceshipSwallow.oxt	(revision 8856)
+++ /code/trunk/data/levels/templates/spaceshipSwallow.oxt	(revision 8857)
@@ -7,11 +7,26 @@
    explosionchunks        = 6
 
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
+   health            = 50
+   maxhealth         = 120
+   initialhealth     = 50
+
+   shieldhealth        = 60
+   initialshieldhealth = 60
+   maxshieldhealth     = 80
+   shieldabsorption    = 0.75
+   reloadrate          = 1.5
+   reloadwaittime      = 0.2
 
    primaryThrust     = 600;
    auxilaryThrust    = 30;
    rotationThrust    = 25;
+
+   lift = 1.2;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
 
    collisionType     = "dynamic"
@@ -59,5 +74,5 @@
    speedupdown    =  60
 
-   accelerationfront     = 700
+   accelerationfront     = 1000
    accelerationbrake     = 300
    accelerationback      =  100